import {noPadding} from "./display";

const list = {
    ...{display: 'flex'}, ...{justifyContent: 'space-between'}
    , ...noPadding, ...{overflowY: 'scroll'}, ...{maxHeight: '10rem'}, ...{flexDirection: 'column'}
    , ...{border: 'solid'}, ...{
        borderColor: 'gainsboro'
        , ...{borderRadius: '5px'}, ...{borderWidth: 'thin'}, ...{margin: '0.5rem 1rem 0.5rem 1rem'}
    }
}
const totalStyle = {
    display: 'flex',
    justifyContent: 'flex-end',
    backgroundColor: 'grey',
    alignItems: 'center',
    padding: '0rem 2rem 0rem 0rem',
    borderRadius: '0.4rem',
    color: 'white'
}
const buttonWarning = {...{height: '0.1rem'}, ...{width: '0.1rem'}, ...{borderRadius: '0.5rem'}, ...{inlineSize: 'initial'}, ...{fontWeight: '900'}}
const listItem = {...{display: 'flex'}, ...{justifyContent: 'space-between'}, ...noPadding, ...{padding: '0.5rem 1rem'}}

export {listItem}
export {list};
export {buttonWarning};
export {totalStyle}